Bullet Collision Detection & Physics Library: btCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btCollisionAlgorithm Class Referenceabstract

btCollisionAlgorithm is an collision interface that is compatible with the Broadphase and btDispatcher. More...

`#include <btCollisionAlgorithm.h>`

Inheritance diagram for btCollisionAlgorithm:
[legend]
Collaboration diagram for btCollisionAlgorithm:
[legend]

## Public Member Functions
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Protected Attributes
btDispatcher * | m_dispatcher

## Detailed Description

btCollisionAlgorithm is an collision interface that is compatible with the Broadphase and btDispatcher.

It is persistent over frames

Definition at line 53 of file btCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btCollisionAlgorithm() [1/2]

btCollisionAlgorithm::btCollisionAlgorithm | ( |  | ) |
| inline

Definition at line 62 of file btCollisionAlgorithm.h.

## ◆ btCollisionAlgorithm() [2/2]

btCollisionAlgorithm::btCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |

Definition at line 19 of file btCollisionAlgorithm.cpp.

## ◆ ~btCollisionAlgorithm()

virtual btCollisionAlgorithm::~btCollisionAlgorithm | ( |  | ) |
| inlinevirtual

Definition at line 66 of file btCollisionAlgorithm.h.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

virtual btScalar btCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| pure virtual

Implemented in btBox2dBox2dCollisionAlgorithm, btBoxBoxCollisionAlgorithm, btCompoundCollisionAlgorithm, btCompoundCompoundCollisionAlgorithm, btConvex2dConvex2dAlgorithm, btConvexConcaveCollisionAlgorithm, btConvexConvexAlgorithm, btConvexPlaneCollisionAlgorithm, btEmptyAlgorithm, btGImpactCollisionAlgorithm, btSoftBodyConcaveCollisionAlgorithm, btSoftRigidCollisionAlgorithm, btSoftSoftCollisionAlgorithm, btSphereBoxCollisionAlgorithm, btSphereSphereCollisionAlgorithm, and btSphereTriangleCollisionAlgorithm.

## ◆ getAllContactManifolds()

virtual void btCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| pure virtual

Implemented in btBox2dBox2dCollisionAlgorithm, btBoxBoxCollisionAlgorithm, btCompoundCollisionAlgorithm, btCompoundCompoundCollisionAlgorithm, btConvex2dConvex2dAlgorithm, btConvexConcaveCollisionAlgorithm, btConvexConvexAlgorithm, btConvexPlaneCollisionAlgorithm, btEmptyAlgorithm, btGImpactCollisionAlgorithm, btSoftBodyConcaveCollisionAlgorithm, btSoftRigidCollisionAlgorithm, btSoftSoftCollisionAlgorithm, btSphereBoxCollisionAlgorithm, btSphereSphereCollisionAlgorithm, and btSphereTriangleCollisionAlgorithm.

## ◆ processCollision()

virtual void btCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| pure virtual

Implemented in btBox2dBox2dCollisionAlgorithm, btBoxBoxCollisionAlgorithm, btCompoundCollisionAlgorithm, btCompoundCompoundCollisionAlgorithm, btConvex2dConvex2dAlgorithm, btConvexConcaveCollisionAlgorithm, btConvexConvexAlgorithm, btConvexPlaneCollisionAlgorithm, btEmptyAlgorithm, btGImpactCollisionAlgorithm, btSoftBodyConcaveCollisionAlgorithm, btSoftRigidCollisionAlgorithm, btSoftSoftCollisionAlgorithm, btSphereBoxCollisionAlgorithm, btSphereSphereCollisionAlgorithm, and btSphereTriangleCollisionAlgorithm.

## Member Data Documentation

## ◆ m_dispatcher

btDispatcher* btCollisionAlgorithm::m_dispatcher
| protected

Definition at line 56 of file btCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btCollisionAlgorithm.h
- btCollisionAlgorithm.cpp